/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.message.inbox;

import nl.cloudfarming.client.model.Module;
import org.openide.modules.ModuleInfo;
import org.openide.modules.Modules;

/**
 * Module identifying class for this messaging module
 * @author Gerben Feenstra
 */
public class MessageInboxModule implements Module{

    private static final ModuleInfo info;
    public static final String MODULE_NAME;
    
    static{
        info = Modules.getDefault().ownerOf(MessageInboxModule.class);    
        MODULE_NAME = info.getDisplayName();
    }
    
    @Override
    public String getModuleName() {
        return MODULE_NAME;
    }

}